Description

Al crear una matriz polar, los elementos no se sitian forma equidistante al centro indicado.

Pasos para reproducir el bug:

1. Seleccionar la herramienta matriz polar
2. Indicar el numero de elementos totales
3. Indicar si se desea rotar los elementos
4. Indicar el centro de la matriz

Al indicar el centro se observa que los elementos que se pintan no se sitlan de forma equidistante al centro. Adjunto imagen que
muestra el error.

Associated revisions

Revision 491 - 05/25/2015 03:58 PM - Lluis Marqués

Fix rotation errors at polar matrix. refs #3461

History

#1 - 05/25/2015 02:30 PM - Lluis Marqués
- Assignee set to Lluis Marqués

- Status changed from New to In progress

#2 - 05/25/2015 02:34 PM - Lluis Marqués
- Target version set to 2.3.0-2400 (rev. org.gvsig.desktop-2.0.102)

#3 - 05/25/2015 04:06 PM - Lluis Marqués
- % Done changed from 0 to 100

- Status changed from In progress to Fixed

Corregido el error. Ahora se coge el centro de la geometria para aplicar las transformaciones en vez de la esquina inferior de la geometria.
#4 - 05/28/2015 08:46 AM - Francisco Diaz Carsi
- Target version changed from 2.3.0-2400 (rev. org.gvsig.desktop-2.0.102) to 2.2.0-2312

#5 - 05/28/2015 06:19 PM - Alvaro Anguix
- Status changed from Fixed to Closed
